Loading...
Searching...
No Matches
etl::chrono::year_month_weekday Class Reference

year_month_weekday More...

`#include <year_month_weekday.h>`

## Public Member Functions

ETL_CONSTEXPR | year_month_weekday ()
| Default constructor.
ETL_CONSTEXPR14 | year_month_weekday (const etl::chrono::year &y_, const etl::chrono::month &m_, const etl::chrono::weekday_indexed &wdi_) ETL_NOEXCEPT
| Construct from month, day, and weekday_indexed.
ETL_CONSTEXPR14 | year_month_weekday (const etl::chrono::sys_days &sd) ETL_NOEXCEPT
| Construct from sys_days.
ETL_CONSTEXPR14 | year_month_weekday (const etl::chrono::local_days &ld) ETL_NOEXCEPT
| Construct from local_days.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::year | year () const ETL_NOEXCEPT
| Returns the year.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::month | month () const ETL_NOEXCEPT
| Returns the month.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::weekday | weekday () const ETL_NOEXCEPT
| Returns the weekday.
ETL_NODISCARD ETL_CONSTEXPR14 unsigned | index () const ETL_NOEXCEPT
| Returns the weekday index.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::weekday_indexed | weekday_indexed () const ETL_NOEXCEPT
| Returns the weekday_indexed.
ETL_NODISCARD ETL_CONSTEXPR14 bool | ok () const ETL_NOEXCEPT
| Returns true if the year/month/day is valid.
ETL_NODISCARD ETL_CONSTEXPR14 | operator etl::chrono::sys_days () const ETL_NOEXCEPT
| Converts to etl::chrono::sys_days.
ETL_NODISCARD ETL_CONSTEXPR14 | operator etl::chrono::local_days () const ETL_NOEXCEPT
| Converts to etl::chrono::local_days.

## Detailed Description

year_month_weekday

The documentation for this class was generated from the following file:

- include/etl/private/chrono/year_month_weekday.h